package com.franckbarbier.modifications_annotation;

@java.lang.annotation.Retention(java.lang.annotation.RetentionPolicy.RUNTIME)
@java.lang.annotation.Target(value = {java.lang.annotation.ElementType.TYPE, java.lang.annotation.ElementType.METHOD})
public @interface Modifications {
    
    

    public enum Nature {
        Evolution_fonctionnelle, Reparation
    }

    public enum State {
        Stable, Unchecked, Unknown, Unstable
    }

    String[] dates() default {"8/09/2020"};

    String[] authors() default {"Franck Barbier"};

    String description() default "java.lang.Throwable";

    Nature nature() default Nature.Reparation;

    State state() default State.Unknown;
}
